package com.androidhuman.example.jellynotification;

import android.app.Activity;
import android.app.Notification;
import android.app.NotificationManager;
import android.app.PendingIntent;
import android.content.Context;
import android.content.Intent;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.net.Uri;
import android.os.Bundle;
import android.view.Menu;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;

public class JellyNotification extends Activity implements OnClickListener{

	private Button btnBigPicture;
	private Button btnBigText;
	private Button btnInbox;
	private Button btnNormal;
	private Bitmap bmBigPicture;

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_jelly_notification);
        
        btnBigPicture = (Button)findViewById(R.id.big_picture);
        btnBigText = (Button)findViewById(R.id.big_text);
        btnInbox = (Button)findViewById(R.id.inbox_style);
        btnNormal = (Button)findViewById(R.id.normal);
        
        btnBigPicture.setOnClickListener(this);
        btnBigText.setOnClickListener(this);
        btnInbox.setOnClickListener(this);
        btnNormal.setOnClickListener(this);
        
        bmBigPicture = BitmapFactory.decodeResource(getResources(), R.drawable.android_jellybean);
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        getMenuInflater().inflate(R.menu.activity_jelly_notification, menu);
        return true;
    }

	@Override
	public void onClick(View v) {
		NotificationManager manager = (NotificationManager)getSystemService(Context.NOTIFICATION_SERVICE);
		Notification notification = null;
		
		PendingIntent intent = PendingIntent.getActivity(getApplicationContext(), 0, 
				new Intent(Intent.ACTION_VIEW).setData(Uri.parse("http://androidhuman.tistory.com")), 0);
		
		switch(v.getId()){
		case R.id.big_picture:
			notification = new Notification.BigPictureStyle(
					new Notification.Builder(getApplicationContext())
						.setContentTitle("Title")
						.setContentText("BigPicture")
						.setSmallIcon(R.drawable.ic_launcher)
						.setLargeIcon(bmBigPicture)
						.setTicker("BigPicture!")
						.addAction(R.drawable.ic_launcher, "View online", intent)
						.addAction(R.drawable.ic_action_search, "Search similar", intent))
					.bigPicture(bmBigPicture)
					.setBigContentTitle("BigNotification")
					.setSummaryText("BigNotification summary")
					.build();
			
			break;
			
		case R.id.big_text:
			notification = new Notification.BigTextStyle(
					new Notification.Builder(getApplicationContext())
						.setContentTitle("Content Title")
						.setContentText("Content text")
						.setSmallIcon(R.drawable.ic_launcher)
						.setLargeIcon(bmBigPicture)
						.setTicker("Big text!"))
			.setSummaryText("Android News")
			.bigText("Android 4.1 (Jelly Bean) builds on what's great about Android with improvements to performance and user experience.").build();
			break;
			
		case R.id.inbox_style:
			notification = new Notification.InboxStyle(
					new Notification.Builder(getApplicationContext())
						.setContentTitle("4 new mails")
						.setContentText("Content text")
						.setSmallIcon(R.drawable.ic_launcher)
						.setLargeIcon(bmBigPicture)
						.setTicker("Inbox"))
				.addLine("[android-building] Abridged summary of android-building@googlegroups.com")
				.addLine("White Paper: Cloud and Its Implications for Enterprise Mobile Developers")
				.addLine("Congrats - you've been selected to join the Google Mobile App Analytics beta!")
				.addLine("Your Cubify Nexus 7 stand from Google I/O")
				.addLine("Case ID: 1843112")
				.setSummaryText("+3 more")
				.build();
			
			break;
			
		case R.id.normal:
			notification = new Notification.Builder(getApplicationContext())
				.setContentText("Normal notification")
				.setContentTitle("Content title")
				.setProgress(100, 10, false)
				.setSmallIcon(R.drawable.ic_launcher)
				.setLargeIcon(bmBigPicture)
				.setTicker("Normal notification")
				.addAction(R.drawable.ic_action_search, "Action", intent)
				.build();
			break;
		}
		manager.notify(0, notification);
	}

    
}
